# Transaction Initiation

Payout and banking transaction APIs

## Initiate Payout Transaction

> Initiates a payout transaction using supported transfer\
> modes such as IMPS, NEFT, RTGS, and UPI.<br>

```json
{"openapi":"3.1.0","info":{"title":"KwikPaisa Transaction Initiation API","version":"1.0.0"},"tags":[{"name":"Transaction Initiation","description":"Payout and banking transaction APIs"}],"servers":[{"url":"https://sandbox.kwikpaisa.com","description":"Sandbox Environment"},{"url":"https://api.kwikpaisa.com","description":"Production Environment"}],"paths":{"/api/v3/banking/payment/create":{"post":{"tags":["Transaction Initiation"],"summary":"Initiate Payout Transaction","description":"Initiates a payout transaction using supported transfer\nmodes such as IMPS, NEFT, RTGS, and UPI.\n","operationId":"initiatePayoutTransaction","parameters":[{"in":"header","name":"X-API-KEY","required":true,"schema":{"type":"string"}},{"in":"header","name":"X-SIGNATURE","required":true,"schema":{"type":"string"}},{"in":"header","name":"X-TIMESTAMP","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionInitiationRequest"}}}},"responses":{"200":{"description":"Payout initiated successfully","content":{"application/json":{}}},"401":{"description":"Authentication failed","content":{"application/json":{}}},"403":{"description":"Access denied or security validation failed","content":{"application/json":{}}},"404":{"description":"Wallet not found","content":{"application/json":{}}},"422":{"description":"Validation or business rule failure","content":{"application/json":{}}}}}}},"components":{"schemas":{"TransactionInitiationRequest":{"type":"object","required":["kwikx_wallet_id","debit_account_type","transfer_type","mobile","email","country_dialing_code","transfer_mode","transfer_amount","payout_order_id"],"properties":{"kwikx_wallet_id":{"type":"string"},"debit_account_type":{"type":"string"},"transfer_type":{"type":"string"},"beneficiary_id":{"nullable":true},"mobile":{"type":"string"},"email":{"type":"string"},"address":{"nullable":true},"country_dialing_code":{"type":"string"},"transfer_mode":{"type":"string"},"transfer_amount":{"type":"string"},"payout_order_id":{"type":"string"},"account_transfer":{"type":"object","properties":{"account_owner_name":{"type":"string"},"account_number":{"type":"string"},"ifsc_code":{"type":"string"},"is_validate":{"type":"string"},"payment_for":{"type":"string"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.kwikpaisa.com/v3-api-reference/payout-apis/bank-transfer/transaction-initiation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
